Subject: Re: bug#38859: 26.1: diary-lib: diary-fancy-display

From: Glenn Morris <[email-masked]>
Date: Wed, 01 Jan 2020 19:14:38 -0500

Boruch Baum wrote:

> I have variable `diary-display-function' set to 'diary-fancy-display,
> and was expecting that from a Saturday calendar entry, keying the
> sequence `i-h-d' (M-x diary-hebrew-insert-entry) would list
> hebrew-specific stuff like any current holiday or parasha or
> candle-times. All I'm getting is a Hebrew date name. My specific test
> case was for gregorian date 12-28-2019.

The insert command is for adding a new diary entry.
It doesn't display existing ones (any more than "i d" does).
I don't know why you would expect it to.
To display the diary, use "d".

>   #+BEGIN_EXAMPLE
>   &%%(diary-hebrew-parasha)
>   &%%(diary-hebrew-rosh-hodesh)
>   &%%(diary-hebrew-sabbath-candles)
>   &%%(diary-sunrise-sunset)
>   #+END_EXAMPLE

Do that and then press "d" on a relevant day.

> Finally, what might be a bug is that when killing a calender buffer,
> the associated *Holidays* buffer remains. IMNSHO it should be killed
> along with the calendar buffer.

I disagree, but don't feel strongly about it.

Anyway, I see no bug here so am closing this report.